Bug 88292 - (IDE)System hangs when doing heavy disk access
(IDE)System hangs when doing heavy disk access
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-04-08 12:30 EDT by Tomas Östlund
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Östlund 2003-04-08 12:30:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
System hangs when doing heavy disk access. Most of the time this has happened
when using "Add/Remove Applications" and the program reads the system state or
installs a new package. When the system hangs, the hdd led is lit constantly and
the only option is to push the reset button. I suspect it has to do with my disk
controller, a Highpoint hpt366.

I've looked in /var/log/messages but can't see anything relevant. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start program "Add/Remove Applications" under "System Settings" menu.


Actual Results:  System hangs/freezes. hdd led is lit constantly.

Additional info:

CPU: Celeron (Mendocino) 500 MHZ
Memory: 256 MB
Motherboard: Abit BE6
BIOS: Award Software International, Inc. - 07/05/2000
Diskcontroller: Highpoint hpt366 (UDMA66 onboard chipset)
Disk: Seagate ST380011A  80GB DMA100

Output from doing "hdparm -I /dev/hdg":

ATA device, with non-removable media
        Model Number:       ST380011A
        Serial Number:      3JV07SE6
        Firmware Revision:  3.04
        Used: ATA/ATAPI-6 T13 1410D revision 2
        Supported: 6 5 4 3
        Logical         max     current
        cylinders       16383   65535
        heads           16      1
        sectors/track   63      63
        CHS current addressable sectors:    4128705
        LBA    user addressable sectors:  156301488
        LBA48  user addressable sectors:  156301488
        device size with M = 1024*1024:       76319 MBytes
        device size with M = 1000*1000:       80026 MBytes (80 GB)
        LBA, IORDY(can be disabled)
        bytes avail on r/w long: 4      Queue depth: 1
        Standby timer values: spec'd by Standard
        R/W multiple sector transfer: Max = 16  Current = 16
        Recommended acoustic management value: 128, current value: 0
        DMA: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 *udma4 udma5
             Cycle time: min=120ns recommended=120ns
        PIO: pio0 pio1 pio2 pio3 pio4
             Cycle time: no flow control=240ns  IORDY flow control=120ns
        Enabled Supported:
           *    READ BUFFER cmd
           *    WRITE BUFFER cmd
           *    Host Protected Area feature set
           *    Look-ahead
           *    Write cache
           *    Power Management feature set
                Security Mode feature set
           *    SMART feature set
           *    FLUSH CACHE EXT command
           *    Mandatory FLUSH CACHE command
           *    Device Configuration Overlay feature set
           *    48-bit Address feature set
                SET MAX security extension
           *    DOWNLOAD MICROCODE cmd
           *    SMART self-test
           *    SMART error logging
        not     enabled
        not     locked
        not     frozen
        not     expired: security count
        not     supported: enhanced erase
HW reset results:
        CBLID- above Vih
        Device num = 0 determined by the jumper
Checksum: correct
Comment 1 Tomas Östlund 2003-04-08 14:25:55 EDT
I have tested this system with Red Hat 8 and this bug is NOT reproducible with
that configuration.
Comment 2 Tomas Östlund 2003-04-09 12:55:00 EDT
Ok, I think I have found a way to reproduce the bug more frequently:

1. Start "Add/Remove Applications"
2. Choose to install a really big package such as "kernel source"
3. The installation starts, and after a while (30% finished) the system freezes.
Comment 3 Warren Togami 2003-04-13 03:06:03 EDT
I reproduced something like this during a heavy swap storm on my 1GHz Sony Vaio FXA36 
Athlon laptop.  I had a misbehaving application that forked repeatedly creating 9MB sized 
processes.  X appeared to freeze completely while the disk went crazy for 30 minutes.  OOM 
killer didn't engage.  Forced power off was the only way to recover. 
Comment 4 Tomas Östlund 2003-05-01 06:40:24 EDT
Ok, I think I have found the problem. 
By mistake I had 2 active swap partitions, one on the Seagate disk I reported
earlier as hdg2, and one swap partition on a IBM disk on the the other IDE
channel as hde3. They were both listed in /etc/fstab and therefore activated on
By removing the hde3 swap partition from /etc/fstab, I can no longer lock up the
system. However, I'm not sure why the system locks up by having two swap
partition defined. It is possible that the IBM disk is faulty. Until I know for
sure I leave the bug as unresolved.
Comment 5 Alan Cox 2003-06-05 12:43:01 EDT
Thats a useful clue, but two swap partitions is entirely valid.
Comment 6 Bugzilla owner 2004-09-30 11:40:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.